<?php
/*------------------------------------------------------------------------
# mod_vtem_weather - VTEM Weather Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2011 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access');
$slideID 				= 'weather'.$module->id;
$width 			= $params->get('width', '100%');
$height 		= $params->get('height', 'auto');
$border		= $params->get('border', '5px solid #ddd');
$unit		= $params->get('unit', 'c');
$image		= $params->get('image', 1 ) ? 'true' : 'false';
$highlow		= $params->get('highlow', 1 ) ? 'true' : 'false';
$wind				= $params->get( 'wind', 1 ) ? 'true' : 'false';
$humidity				= $params->get( 'humidity', 0 ) ? 'true' : 'false';
$visibility				= $params->get( 'visibility', 0 ) ? 'true' : 'false';
$sunrise				= $params->get( 'sunrise', 0 ) ? 'true' : 'false';
$sunset				= $params->get( 'sunset', 0 ) ? 'true' : 'false';
$forecast				= $params->get( 'forecast', 0 ) ? 'true' : 'false';
$dayforecast				= $params->get( 'dayforecast', 4 );
$link				= $params->get( 'link', 0 ) ? 'true' : 'false';
$showerror				= $params->get( 'showerror', 1 ) ? 'true' : 'false';
$woeid 				= $params->get('woeid', '44418, 2459115, 615702');
$autoscroll				= $params->get( 'autoscroll', 1 ) ? 'true' : 'false';
$interval 				= $params->get( 'interval', 3000);
$script 				= $params->get( 'script', 2 );
$moduleclass_sfx = $params->get( 'moduleclass_sfx', '' );

$jversion = new JVersion;
$document = JFactory::getDocument();	
$document->addStyleSheet(JURI::root().'modules/mod_vtem_weather/assets/style.css');
if (version_compare($jversion->getShortVersion(), '3.0.0', '<') && ($script == 2))
	$document->addScript(JURI::root().'modules/mod_vtem_weather/assets/jquery-1.7.2-min.js');
else if($script == 1) $document->addScript(JURI::root().'modules/mod_vtem_weather/assets/jquery-1.7.2-min.js');
require(JModuleHelper::getLayoutPath('mod_vtem_weather'));
?>